////////////////////////////////////////////////////////////////////////////////
// Wireless Network Controller Gadget
//
// Published January 29th; 2007 (Just in time for Vista ;D)
// Published at http://www.jcxp.net
//
// Copyright (C) 2007 David Taraso
////////////////////////////////////////////////////////////////////////////////


var wireless = System.Network.Wireless;
var status;

//Checking network details
function networkDetails()
{
	var ssid = wireless.ssid;
	var Strength = wireless.signalStrength;
	var ip = wireless.address;
	var secureConnection = wireless.secureConnection;
	var primaryDNS = wireless.primaryDNSAddress;

	//If connected display network information
	if (ssid != "")
	{
		status = "true";
		networkip.innerText = ip;
		networkssid.innerText = ssid;
		networksignalpercent.innerText = Strength + "%";
		networkconfig.innerText = "";
	}
	//If not connected display filler
	else
	{	
		status = "false";
		networkip.innerText = "IP ";
		networkssid.innerText = " ";
		networksignalpercent.innerText = Strength + "%";
		networkconfig.innerText = "";
	}
	
	//Checking the signal strength and security and displaying the appropriate image
	if (secureConnection == true)
	{	
		//If connected to a network, then display proper signal status image
		if (status == "true")
		{	
			if (Strength > 79)
			{
				networksignal.src = "/img/Signal/5.png";
			}
			else if (Strength > 59)
			{
				networksignal.src = "/img/Signal/4.png";
			}
			else if (Strength > 39)
			{
				networksignal.src = "/img/Signal/3.png";
			}
			else if (Strength > 19)
			{
				networksignal.src = "/img/Signal/2.png";
			}
			else if (Strength > 0)
			{
				networksignal.src = "/img/Signal/1.png";
			}
			else
			{
				networksignal.src = "/img/Signal/0.png";
			}
		}
		//If disconencted, then show disconnected status image
		else
		{
			networksignal.src = "/img/Signal/dc.png";
		}
	}
	//If the network is unsecured, then display image with Warning Shield icon
	else
	{	
		//If connected to a network, then display proper signal status image with warning shield
		if (status == "true")
		{	
			if (Strength > 79)
			{
				networksignal.src = "/img/Signal/5us.png";
			}
			else if (Strength > 59)
			{
				networksignal.src = "/img/Signal/4us.png";
			}
			else if (Strength > 39)
			{
				networksignal.src = "/img/Signal/3us.png";
			}
			else if (Strength > 19)
			{
				networksignal.src = "/img/Signal/2us.png";
			}
			else if (Strength > 0)
			{
				networksignal.src = "/img/Signal/1us.png";
			}
			else
			{
				networksignal.src = "/img/Signal/0us.png";
			}
		}
		//If disconencted, then show disconnected status image with warning shield
		else
		{
			networksignal.src = "/img/Signal/dc.png";
		}
	}

//Refresh network information when changing network
wireless.connectionChanged = networkDetails;

//Refresh network information when signal strength changes
wireless.signalStrengthChanged = networkDetails;
}

//Launches the wireless device's web control panel
function launchSettings()
{
	System.Shell.execute("http://" + wireless.primaryDNSAddress + "/")
}


//End of gadget